
$(function(){
	var $form = $('#js-view-search'),
		$field = $form.children('.js-view-search-field'),
		path = window.location.pathname,
		search;
	
	//Поисковый запрос из пути
	search = path.split('/');
	search = search[search.length - 1];
	
	if (search != 'all') {
		//Декодируем поисковый запрос
		search = decodeURIComponent(search);
		search = decodeURIComponent(search);
		//Устанавливаем запрос в поискове поле
		$field.val(search);
	}
	
	$field.keyup(function(){
		if (!$(this).val()) {
			$form.submit();
		}
	});
	
	$form.submit(function(){
		var value = $field.val();
		
		if (!value) {
			value = 'all';
		}
		
		value = encodeURIComponent(value);
		value = encodeURIComponent(value);
		path = path.replace(/\/[^\/]+$/i, '/'+value);
		window.location = path;
		
		return false;
	});
});